[Pbibuild] PBI-8 Autobuild (i386): math/scilab/

Build 8x32 root at build8x32.pcbsd.org
Wed Aug 3 09:15:26 PDT 2011


PBI Autobuild results for module math/scilab/:
Status: Failed

View Folder:
ftp://ftp.pcbsd.org/pub/pbioutgoing/x32/8/math/scilab//

File listing:
-rw-r--r--  1 root  wheel     940098 Aug  3 09:14 build.log.bz2
-rw-r--r--  1 root  wheel          0 Aug  2 18:36 build.time
-rw-r--r--  1 root  wheel         16 Jul 15 19:51 mdate
-rwxr-xr-x  1 root  wheel  339587861 Jul 15 19:50 scilab-5.3.2_1-i386.pbi
-rw-r--r--  1 root  wheel         65 Aug  3 09:15 scilab-5.3.2_1-i386.pbi.md5

PBI MD5:
MD5 (scilab-5.3.2_1-i386.pbi) = 46f89e446dc91f796bb2c4129b581af7


Last 50 lines of build.log
---------------------------------------------------
checking for leading underscores with Fortran (name-mangling scheme)... no
checking for trailing underscores with Fortran (name-mangling scheme)... yes
checking use of the sharpsign in CPP... yes
Define C2F with Trailing Underscore and Sharp Sign
checking hdf5.h usability... yes
checking hdf5.h presence... yes
checking for hdf5.h... yes
checking for H5Fopen in -lhdf5... yes
checking for clock_gettime in -lrt... yes
Use JDK path specified (/usr/Programs/Scilab/diablo-jdk1.6.0)
checking JAVA_HOME variable... not defined
checking for zip or jar files to include on CLASSPATH... 
checking to see if the java compiler works... yes
Using JAVAC=/usr/Programs/Scilab/diablo-jdk1.6.0/bin/javac
Java found in /usr/Programs/Scilab/diablo-jdk1.6.0
checking type of jvm... jdk
checking java API version... 1.6
Using the following JNI include flags -I/usr/Programs/Scilab/diablo-jdk1.6.0/include -I/usr/Programs/Scilab/diablo-jdk1.6.0/include/freebsd
checking if jni.h can be included... yes
Looking for JNI libs with i386 as machine hardware name
Looking for /usr/Programs/Scilab/diablo-jdk1.6.0/jre/lib/i386/libjava.so
Found /usr/Programs/Scilab/diablo-jdk1.6.0/jre/lib/i386/libjava.so
Using the following JNI library flags -L/usr/Programs/Scilab/diablo-jdk1.6.0/jre/lib/i386 -ljava -lverify -L/usr/Programs/Scilab/diablo-jdk1.6.0/jre/lib/i386/client -ljvm -L/usr/Programs/Scilab/diablo-jdk1.6.0/jre/lib/i386/native_threads -lhpi
Using the following runtime library path /usr/Programs/Scilab/diablo-jdk1.6.0/jre/lib/i386:/usr/Programs/Scilab/diablo-jdk1.6.0/jre/lib/i386/client:/usr/Programs/Scilab/diablo-jdk1.6.0/jre/lib/i386/native_threads
checking to see if we can link a JNI application... yes
checking for zip or jar files to include on CLASSPATH... 
checking for java... /usr/Programs/Scilab/diablo-jdk1.6.0/bin/java
checking for java_g... no
checking for javah... /usr/Programs/Scilab/diablo-jdk1.6.0/bin/javah
checking for jar... /usr/Programs/Scilab/diablo-jdk1.6.0/bin/jar
checking for javadoc... /usr/Programs/Scilab/diablo-jdk1.6.0/bin/javadoc
checking for jdb... /usr/Programs/Scilab/diablo-jdk1.6.0/bin/jdb
checking for ant... /usr/local/bin/ant
checking jgraphx... /usr/ports/math/scilab/work/scilab-5.3.3/thirdparty/jgraphx.jar
checking minimal version (1.4.1.0) of jgraphx... test: x=: unexpected operator
yes
checking jhdf5... /usr/Programs/Scilab/share/java/classes//jhdf5.jar
checking for h5JNIFatalError in -ljhdf5... yes
checking minimal version (1.8.4) of hdf5... test: x: unexpected operator
configure: error: Wrong version of hdf5. Expected exact version 1.8.4. Found 1.8.7
===>  Script "configure" failed unexpectedly.
Please report the problem to rfarmer at predatorlabs.net [maintainer] and attach
the "/usr/ports/math/scilab/work/scilab-5.3.3/config.log" including the output
of the failure of your make command. Also, it might be a good idea to provide
an overview of all packages installed on your system (e.g. an `ls
/var/db/pkg`).
*** Error code 1

Stop in /usr/ports/math/scilab.
ERROR: 2.1 Build failed of math/scilab/!!!


More information about the Pbibuild mailing list